Subject: Re: bug#40924: 27.0.91; default-directory launched via Dock MacOS

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 28 Jan 2021 07:44:17 +0100

Tak Kunihiro <[email-masked]> writes:

> When launched from Dock, on scratch buffer, default-directory is set to “~/“
> and “/“ on 26.3 and 27.0.91, respectively.  I checked environmental variables
> on 26.3 and 27.0.91 as shown below.  There is no difference, as expected.

I tested this (with Emacs 28) on Big Sur, and was unable to reproduce
it.  I vaguely seem to remember discussion about this some months ago,
so I'm going to go ahead and guess that it really has been fixed, and
I'm closing this bug report.  If the problem still persists for you in
Emacs 28, please respond to the debbugs address and we'll reopen.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no